% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{determine_action}
\alias{determine_action}
\title{Determine the course of action for a
given verification step. Based on a recent
judgment, what actions are taken now?}
\usage{
determine_action(n, false_count, warn_count, notify_count, warn_fraction,
  notify_fraction)
}
\arguments{
\item{n}{the total number of validation checks
in the validation step.}

\item{false_count}{the number of validation
checks that returned a \code{FALSE} result.}

\item{warn_count}{the threshold number for 
individual validations returning a \code{FALSE}
result before applying the \code{warn} flag.}

\item{notify_count}{the threshold number for 
individual validations returning a \code{FALSE}
result before applying the \code{notify} flag.}

\item{warn_fraction}{the threshold fraction for 
individual validations returning a \code{FALSE}
over all the entire set of individual validations.
Beyond this threshold, the \code{warn} flag will
be applied.}

\item{notify_fraction}{the threshold fraction for 
individual validations returning a \code{FALSE}
over all the entire set of individual validations.
Beyond this threshold, the \code{notify} flag will
be applied.}
}
\description{
Determine the course of action for a
given verification step. Based on a recent
judgment, what actions are taken now?
}
